# cyber/technofeminist cross-readings

<https://cross.virtualprivateserver.space> 🌐

------

This is the code for a cyber/technofeminist cross-reader, developed in the context of the exhibition Computer Grrrls in Paris (March - July 2019) — <https://gaite-lyrique.net/evenement/computer-grrrls>.

It will be on display again during the Computer Grrrls exhibition in Eindhoven (July - October 2019) — <http://mu.nl/nl/exhibitions/computer-grrrls>.


## Cross-readings

This cyber/technofeminist cross-reader does not follow one but two axes, bridging the act of reading a collection of texts, with the act of reading a tool.

These cross-readings connect ...

... the Term Frequency Inverse Document Frequency algorithm, or TF-IDF in short

The TF-IDF is a commonly used algorithm to find the most important words of a document. The algorithm is (partly) written by the female computer scientist Karen Spärck Jones in the 1970s and has become one of the important algorithms of many search tools online, such as digital library systems or corporate search engines like Yandex or Google. The algorithm turns written documents into a sorted lists of search results, using a specific relative and inversed way of counting, that is sensitive for contrast in written documents.

... and a collection of cyber- and technofeminist manifestos

The cyber/technofeminist manifestos connect feminist thinking to technology, introducing feminist servers, cyborg figures, cyberwitches, or pleas for the glitch as cultural digital artefact. This collection, which is obviously incomplete, brings a diverse set of technofeminist documents together that are published between 1912 and 2019. The manifestos speak about very different concerns and questions, but they connect in terms of energy level. Urging to make a statement, ready to activate.

<small>An interesting note to mention: Karen Spärck Jones was an advocate for the position of women in computing. “I’ve been trying to think a little bit—but it’s very dispiriting!—about how to try to get more women into computer science. On the whole, everybody who thinks about this is depressed, because we’re going backwards rather than forwards.” (https://ethw.org/Oral-History:Karen_Sp%C3%A4rck_Jones#On_Getting_More_Women_into_Computer_Science)</small>

These two axes, the algorithm and the manifestos, interoperate. They support and strengthen eachother as the X and Y of this cross-reading tool.

The TF-IDF algorithm, while responding to a search request, creates cross-readings through the manifestos. It outputs a list of search results around the subject of search, creating a field of statements, questions and concerns around one single word. Meanwhile, the algorithm starts to interoperate with the manifesto as a format. Sensitive as it is for bulletpointed writing, repetition and unique words -- elements that are used a lot in these statement driven documents. The algorithm prioritizes higher contrastful language over academic writing, repetition over very diverse vocabularies and the use of unique words over the use of common ones.

See this cross-reading tool as an exercise in reading, across a field of technofeminist thinking and a tool for algorithmic sorting.


## Installation

Requirements -- apt:

    $ sudo apt install python3 python3-pip

Requirements -- pip3:

    $ pip3 install flask nltk

Requirements -- nltk 

    $ python3

    >>> import nltk
    >>> nltk.download('averaged_perceptron_tagger')


## Run locally

To run the cross-reader locally, the script `start.py` can be used.

    $ python3 start.py

In the browser now visit: 

    localhost:5000

## How to use the cross-reader?
This tool allows for cross-readings through a collection of cyber/technofeminist manifestos and the TF-IDF algorithm. 

1. SEARCH — You can search through these manifestos by typing a keyword in the search bar or by clicking on the list of suggested keywords.
2. READ — You can simply browse through the list of manifestos (see right-hand column) and read them in their entirety and in their original web environment.
3. CROSS-READ — If you click on the ◐ icon, you can read the manifesto through the prism of the TD-IDF algorithm. This algorithm identifies the most specific words within a document. It was developed in part by British computer scientist Karen Spärck Jones and has been a crucial algorithm for a large number of online search engines.
4. INSPECT — Next to this icon, you can click on the TF, IDF and TF-IDF buttons to inspect the values of the TF-IDF algorithm for each manifesto.


## Copyleft

The cyber/technofeminist cross-reader is a free work, you can copy, distribute, and modify it under the terms of the Free Art License. 

<http://artlibre.org/licence/lal/en/>



